# Add-RASMFARadiusAttr.md

## NAME

Add-RASMFARadiusAttr

## SYNOPSIS

Adds attribute settings to Radius provider settings.

## SYNTAX

\*\*Add-RASMFARadiusAttr \[-[AttributeType](#AttributeType)] {Number | String | IP | Time} \[[Id](#id-string)] *(uint)* -[AttributeID](#attributeid-string) *(uint)* -[RadiusAttrName](#radiusattrname-string) *(string)* -[Value](#value-string) *(string)* -[Vendor](#vendor-string) *(string)* -[VendorID](#vendorid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASMFARadiusAttr \[-[AttributeType](#AttributeType)] {Number | String | IP | Time} \[-[InputObject](#inputobject)] *(*[*MFA*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa.md)*)* -[AttributeID](#attributeid-string) *(uint)* -[RadiusAttrName](#radiusattrname-string) *(string)* -[Value](#value-string) *(string)* -[Vendor](#vendor-string) *(string)* -[VendorID](#vendorid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASMFARadiusAttr \[-[AttributeType](#AttributeType)] {Number | String | IP | Time} \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[AttributeID](#attributeid-string) *(uint)* -[RadiusAttrName](#radiusattrname-string) *(string)* -[Value](#value-string) *(string)* -[Vendor](#vendor-string) *(string)* -[VendorID](#vendorid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet appends new attribute settings to existing ones. All parameters are mandatory.

## PARAMETERS

## VendorID (uint)

RADIUS attribute vendor ID

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AttributeID (uint)

RADIUS attribute ID

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Value (string)

RADIUS attribute value

The value has many forms:IP, Number, String, and Time. When setting the time it is expected that the time value is in epoch time.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RadiusAttrName (string)

RADIUS attribute name

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Vendor (string)

RADIUS attribute vendor name

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AttributeType ([RadiusAttrType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/radiusattrtype.md))

RADIUS attribute type. IP, string, number, or time

Possible values: Number, String, IP, Time

```
        Required?                    true

        Position?                    0

        Default value                String

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The name of the target multi-factor authentication .

This must be the actual multi-factor authentication name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified multi-factor authentication .

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the multi-factor authentication to modify. To obtain the ID, use the Get-RASMFA cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([MFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa.md))

The multi factor authentication to modify.

To obtain an object of type MFA, use the Get-RASMFA cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[MFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASMFARadiusAttr -AttributeType IP -VendorID 1 -AttributeID 1 -Value 127.0.0.1 -Name AttrName -Vendor VendorName

Adds a new entry to Radius attributes of type IP. The "Value" parameter must be in a valid IP format (IPv4 only).\
\*\*---------- EXAMPLE 2 ----------

Add-RASMFARadiusAttr -AttributeType String -VendorID 1 -AttributeID 1 -Value "This is a string" -Name AttrName -Vendor VendorName

Adds a new entry to Radius attributes of type String. The "Value" parameter can contain a character of any type, but cannot be empty.\
\*\*---------- EXAMPLE 3 ----------

Add-RASMFARadiusAttr -AttributeType Number -VendorID 1 -AttributeID 1 -Value 42 -Name AttrName -Vendor VendorName

Adds a new entry to Radius attributes of type Number. The "Value" parameter must contain numbers. The input can also be a string but must contain numbers only.\
\*\*---------- EXAMPLE 4 ----------

Add-RASMFARadiusAttr -AttributeType Time -VendorID 1 -AttributeID 1 -Value 1500892318 -Name AttrName -Vendor VendorName

Adds a new entry to Radius attributes of type Time. The "Value" parameter represents the date using the epoch time format.

## RELATED LINKS

* [Get-RASMFARadiusAttr](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasmfaradiusattr.md)
* [Remove-RASMFARadiusAttr](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasmfaradiusattr.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasmfaradiusattr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
